Bug 986051 - (dtv-scan-tables) Review Request: dtv-scan-tables - Digital TV scan tables
Review Request: dtv-scan-tables - Digital TV scan tables
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 952326
  Show dependency treegraph
 
Reported: 2013-07-18 17:10 EDT by Till Maas
Modified: 2014-03-12 08:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: dtv-scan-tables-0-4.20130713gitd913405.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 08:31:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2013-07-18 17:10:59 EDT
Spec URL: http://till.fedorapeople.org/review/dtv-scan-tables.spec
SRPM URL: http://till.fedorapeople.org/review/dtv-scan-tables-0-1.20130703gitd913405.fc19.src.rpm
Description: Digital TV scan tables
Fedora Account System Username: till
Comment 1 Till Maas 2013-07-18 17:12:17 EDT
Please see bug 952326, comment 7 and following for license questions.
Comment 2 Tom "spot" Callaway 2013-07-18 19:08:57 EDT
The content is not clearly licensed, but the files themselves are probably not copyrightable in the US. That said, I think I'd prefer asking upstream what they intend for the license on these files to be, and then mark the package accordingly.
Comment 3 Till Maas 2013-07-19 15:42:30 EDT
It does not seem to be clear, who would be the original upstream, but as far as I understand there were intentions to license it as LGPL:
http://thread.gmane.org/gmane.linux.drivers.video-input-infrastructure/59288/focus=59304
Comment 4 Tom "spot" Callaway 2013-07-19 16:25:28 EDT
You know, given that, I'm fine with marking this as Public Domain and moving on. If the original "copyright holders" appear and ask for us to clarify, we shall.

Lifting FE-Legal.
Comment 5 Mario Blättermann 2013-11-01 07:11:27 EDT
Till, please change the license to Public Domain as proposed by Spot and provide new files. Then I'll take this for a full review.
Comment 6 Till Maas 2013-11-01 11:38:44 EDT
(In reply to Mario Blättermann from comment #5)
> Till, please change the license to Public Domain as proposed by Spot and
> provide new files. Then I'll take this for a full review.

Thank you, here are the updated files:
Spec URL: http://till.fedorapeople.org/review/dtv-scan-tables.spec
SRPM URL: http://till.fedorapeople.org/review/dtv-scan-tables-0-2.20130703gitd913405.fc19.src.rpm
Comment 7 Mario Blättermann 2013-11-08 14:50:46 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6156289

$ rpmlint -i -v *dtv-scan-tables.src: I: checking
dtv-scan-tables.src: I: checking-url http://git.linuxtv.org/dtv-scan-tables.git (timeout 10 seconds)
dtv-scan-tables.src: I: checking-url http://linuxtv.org/downloads/dtv-scan-tables/dtv-scan-tables-2013-07-03-d913405.tar.bz2 (timeout 10 seconds)
dtv-scan-tables.noarch: I: checking
dtv-scan-tables.noarch: W: incoherent-version-in-changelog 0-2 ['0-2.20130703gitd913405.fc21', '0-2.20130703gitd913405']
The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

dtv-scan-tables.noarch: I: checking-url http://git.linuxtv.org/dtv-scan-tables.git (timeout 10 seconds)
dtv-scan-tables.spec: I: checking-url http://linuxtv.org/downloads/dtv-scan-tables/dtv-scan-tables-2013-07-03-d913405.tar.bz2 (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 1 warnings.


Please add the full release number to %changelog:

* Fri Nov 01 2013 Till Maas <opensource@till.name> - 0-2.20130703gitd913405
Comment 8 Till Maas 2013-11-08 15:56:04 EST
(In reply to Mario Blättermann from comment #7)

> Please add the full release number to %changelog:
> 
> * Fri Nov 01 2013 Till Maas <opensource@till.name> - 0-2.20130703gitd913405

Is this really necessary and is there a way to do this with vim without having to write the date and git hash manually several times in the SPEC? The first digit is already unique for each version, therefore 0-2 will always identifiy the release. I do not see an easy way to change the macros to e.g. only write the date and git hash in the Release tag and then build the source tag from it, which would allow to write the full release to the changelog with \c.
Comment 9 Mario Blättermann 2013-11-22 13:13:53 EST
Unfortunately, you are forced to do so. As a workaround, you could use rpmdev-bumpspec. Running this command just bumps the release number while keeping all the other things. so you have to fix the release number and no more than that.
Comment 10 Mario Blättermann 2014-01-02 04:45:03 EST
Any news?
Comment 11 Till Maas 2014-01-04 11:45:47 EST
Spec URL: http://till.fedorapeople.org/review/dtv-scan-tables.spec
SRPM URL: http://till.fedorapeople.org/review/dtv-scan-tables-0-3.20130713gitd913405.fc19.src.rpm

Sorry, I thought I already updated the request.

Changes:
- update changelog
- adjust Conflicts
Comment 12 Mario Blättermann 2014-01-06 15:58:31 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6366348

$ rpmlint -i -v *
dtv-scan-tables.src: I: checking
dtv-scan-tables.src: I: checking-url http://git.linuxtv.org/dtv-scan-tables.git (timeout 10 seconds)
dtv-scan-tables.src: I: checking-url http://linuxtv.org/downloads/dtv-scan-tables/dtv-scan-tables-2013-07-03-d913405.tar.bz2 (timeout 10 seconds)
dtv-scan-tables.noarch: I: checking
dtv-scan-tables.noarch: I: checking-url http://git.linuxtv.org/dtv-scan-tables.git (timeout 10 seconds)
dtv-scan-tables.spec: I: checking-url http://linuxtv.org/downloads/dtv-scan-tables/dtv-scan-tables-2013-07-03-d913405.tar.bz2 (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is silent.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    Public Domain
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    2a6d09876bd0c3c2476dbdc3f89301bc2237b49dbd30d1c92e99c16bdbbfd724  dtv-scan-tables-2013-07-03-d913405.tar.bz2
    2a6d09876bd0c3c2476dbdc3f89301bc2237b49dbd30d1c92e99c16bdbbfd724  dtv-scan-tables-2013-07-03-d913405.tar.bz2.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[.] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 13 Till Maas 2014-01-11 05:12:35 EST
Thank you for the review.

New Package SCM Request
=======================
Package Name: dtv-scan-tables
Short Description: Digital TV scan tables
Owners: till pbrobinson
Branches: f19 f20
InitialCC:
Comment 14 Gwyn Ciesla 2014-01-13 08:25:24 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2014-02-18 13:36:40 EST
dtv-scan-tables-0-4.20130713gitd913405.fc19,dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dtv-scan-tables-0-4.20130713gitd913405.fc19,dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19
Comment 16 Fedora Update System 2014-02-18 13:37:04 EST
dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc20,dtv-scan-tables-0-4.20130713gitd913405.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc20,dtv-scan-tables-0-4.20130713gitd913405.fc20
Comment 17 Fedora Update System 2014-02-19 19:40:59 EST
Package dtv-scan-tables-0-4.20130713gitd913405.fc19, dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dtv-scan-tables-0-4.20130713gitd913405.fc19 dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2711/dtv-scan-tables-0-4.20130713gitd913405.fc19,dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2014-03-12 08:31:32 EDT
dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc20, dtv-scan-tables-0-4.20130713gitd913405.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2014-03-12 08:32:01 EDT
dtv-scan-tables-0-4.20130713gitd913405.fc19, dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.